load data_fig_4_16

y=[noise_BO(1:150)' noise_BF(1:150)' y_BF(50:150)']';
u=[u_BO(1:150)' u_BF(1:150)' u_BF_step(50:150)']';
r=[u_BO(1:150)' u_BO(1:150)' r_BF_step(50:150)']';
n=length(u);
time=linspace(1,n,n);
time=[time' time'+1]';
time=time(:);
y=[y y]';
y=y(:);
r=[r r]';
r=r(:);

subplot(2,1,1)
plot(time,y,'k','linewidth',1);
hold on
plot(time,r,'k:','linewidth',2);
plot([0 n],[0 0],'k','linewidth',1);
title('Process Output','FontSize',12,'FontWeight','Bold');
plot([150 150],[-2 2],'k--')
axis([1 n -0.3 1.2])
text(50,1,'Controller OFF','FontSize',12,'FontWeight','Bold');
text(200,1,'Controller ON','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude','FontSize',12,'FontWeight','Bold');
legend('Measure','Reference',1)
subplot(2,1,2)
u=[u u]';
u=u(:);
plot(time,u,'k','linewidth',1);
hold on
plot([0 n],[0 0],'k','linewidth',1);
title('Control Signal','FontSize',12,'FontWeight','Bold');
plot([150 150],[-2 2],'k--','linewidth',2);
ylabel('Amplitude','FontSize',12,'FontWeight','Bold');
xlabel('Time (t/T_{s})','FontSize',12,'FontWeight','Bold');
axis([1 n -1.1 1.1]) 
